@import url("https://cdn.jsdelivr.net/npm/bootstrap-icons@1.11.3/font/bootstrap-icons.min.css");

.is-disabled {
    opacity: var(--kendo-disabled-opacity, unset);
    filter: var(--kendo-disabled-filter, unset);
}

.page-header {
    height: 3rem;
    background-color: transparent;
}

.main-drawer .k-drawer {
    box-shadow: 0px 1px 2px 0px rgba(var(--bs-dark-rgb), 0.08), 0px 2px 4px 0px rgba(var(--bs-dark-rgb), 0.08), 0px 4px 8px 0px rgba(var(--bs-dark-rgb), 0.08), 0px 8px 16px 0px rgba(var(--bs-dark-rgb), 0.08);
}

.k-card {
    box-shadow: 0px 1px 2px 0px rgba(var(--bs-dark-rgb), 0.08), 0px 2px 4px 0px rgba(var(--bs-dark-rgb), 0.08), 0px 4px 8px 0px rgba(var(--bs-dark-rgb), 0.08), 0px 8px 16px 0px rgba(var(--bs-dark-rgb), 0.08);
}

:root {
    --app-page-header-height: 64px;
}

/****************************************/
/* Grid header styles */

    .k-grid th.left-wrap {
    justify-content: left;
    text-align: left;
    white-space: normal;
    vertical-align: middle;
}

.k-grid th.left-wrap .k-column-title {
    white-space: normal;
}

/* Center */

/* non-sortable headers */
.k-grid th.center-me {
    text-align: center;
}

/* sortable headers */
th.center-me .k-cell-inner > .k-link {
    justify-content: center;
}

.k-grid th.center-wrap {
    justify-content: center;
    text-align: center;
    white-space: normal;
    vertical-align: middle;
}

.k-grid th.center-wrap .k-column-title {
    white-space: normal;
}

/* Right */

/* non-sortable headers */
.k-grid th.align-right {
    text-align: right;
}

.k-grid th.right-wrap {
    justify-content: right;
    text-align: right;
    white-space: normal;
    vertical-align: middle;
}

/* sortable headers */
th.align-right .k-cell-inner > .k-link {
    justify-content: right;
}

/* unbound and non-filterable columns */
.k-grid-header th.align-right.right-padding {
    padding-right: 12px;
}

/* filterable grid, sortable non-filterable columns */
.k-grid-header th.align-right.right-padding > .k-cell-inner {
    margin-right: 0;
}

/****************************************/
/* Grid column styles */

.k-grid td.right-align {
    text-align: right;
}

.k-grid td.left-align {
    text-align: left;
}

.k-grid td.center-align {
    text-align: center;
}

.sticky-right {
    right: 0;
    transform: none;
}

/****************************************/
/*  Button styles */

button.icon-right {
    flex-direction: row-reverse;
}

/*.circle-button {
    padding: .5rem .5rem !important;*/ /* Override k-button style */
/*}*/

.k-checkbox {
    /* Make the border a little darker than the default */
    border-color: rgba(0, 0, 0, 0.4) !important;
}

.slide-in-right {
    animation: .5s 1 alternate slidein;
}

@keyframes slidein {
    from {
        translate: 100% 0;
    }

    to {
        translate: 0 0;
    }
}

/* TODO: Review default styles */
/* TODO: Review body background color.  It's manually set to match Telerik tile layout background. */

html, body {
    font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif;
    background-color: #fafafa;
}

a, .btn-link {
    color: #006bb7;
}

.btn-primary {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

.btn:focus, .btn:active:focus, .btn-link.nav-link:focus, .form-control:focus, .form-check-input:focus {
    box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem #258cfb;
}

.content {
    padding-top: 1.1rem;
}

h1:focus {
    outline: none;
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid #e50000;
}

.validation-message {
    color: #e50000;
}

.blazor-error-boundary {
    background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
    padding: 1rem 1rem 1rem 3.7rem;
    color: white;
}

    .blazor-error-boundary::after {
        content: "An error has occurred."
    }

.darker-border-checkbox.form-check-input {
    border-color: #929292;
}

/****************************************/
/* Fixes text alignment on buttons not in card action sections. */

button {
    display: inline-flex !important;
    align-items: center;
}

/****************************************/
/*  Syncfusion button styles */

.e-btn.is-disabled {
    background: rgba(var(--color-sf-secondary),.12);
    border-color: rgba(var(--color-sf-secondary),0);
    box-shadow: none;
    color: rgba(var(--color-sf-on-surface),.38);
}

.e-btn.e-flat.is-disabled {
    background: transparent;
    border-color: transparent;
    box-shadow: none;
    color: rgba(var(--color-sf-on-surface),.38);
}

/****************************************/
/*  Syncfusion badge styles */

.e-badge.e-badge-green:not(.e-badge-ghost):not([href]),
.e-badge.e-badge-green[href]:not(.e-badge-ghost) {
    background-color: rgba(var(--md-extended-color-green-color));
    color: rgba(var(--color-sf-white));
}

.e-badge.e-badge-red:not(.e-badge-ghost):not([href]),
.e-badge.e-badge-red[href]:not(.e-badge-ghost) {
    background-color: rgba(var(--md-extended-color-red-color));
    color: rgba(var(--color-sf-white));
}

.e-badge.e-badge-yellow:not(.e-badge-ghost):not([href]),
.e-badge.e-badge-yellow[href]:not(.e-badge-ghost) {
    background-color: rgba(var(--md-extended-color-yellow-color));
    color: rgba(var(--color-sf-white));
}

/****************************************/
/*  Syncfusion scheduler styles */
/* https://blazor.syncfusion.com/documentation/scheduler/scheduler-styling */
/* https://blazor.syncfusion.com/documentation/scheduler/cell-customization#setting-cell-dimensions-in-timeline-views */

.e-schedule .e-vertical-view .e-content-wrap .e-appointment,
.e-schedule .e-month-view .e-content-wrap .e-appointment,
.e-schedule .e-timeline-month-view .e-content-wrap .e-appointment,
.e-schedule .e-timeline-view .e-content-wrap .e-appointment {
}

.e-schedule .e-timeline-month-view .e-date-header-wrap table col,
.e-schedule .e-timeline-month-view .e-content-wrap table col {
    width: 160px !important;
}

.e-schedule .e-month-view .e-current-date .e-date-header {
    border-radius: calc(var(--e-radius) * 0.25);
}

.e-schedule .e-vertical-view.e-timescale-disable .e-appointment,
.e-schedule .e-month-view .e-appointment,
.e-schedule .e-timeline-month-view .e-appointment,
.e-schedule .e-timeline-view .e-appointment {
    height: 80px;
    width: 100%;
}

.e-schedule .e-vertical-view .e-content-wrap .e-appointment .e-appointment-details,
.e-schedule .e-timeline-month-view .e-content-wrap .e-appointment .e-appointment-details,
.e-schedule .e-timeline-view .e-content-wrap .e-appointment .e-appointment-details {
    padding: 0;
    width: 100%;
}

.e-schedule .e-vertical-view .e-content-wrap .e-appointment .e-appointment-details {
    height: 100%;
}

.e-schedule .e-vertical-view.e-timescale-disable .e-appointment .e-appointment-details,
.e-schedule .e-month-view .e-appointment .e-appointment-details,
.e-schedule .e-timeline-month-view .e-appointment .e-appointment-details,
.e-schedule .e-timeline-view .e-appointment .e-appointment-details {
}

.e-schedule .schedule-item-template-wrap {
    height: 100%;
    width: 100%;
    white-space: normal;
}

    .e-schedule .schedule-item-template-wrap .schedule-item-header {
        padding: 4px 4px 4px;
        text-overflow: ellipsis;
        white-space: nowrap;
        overflow: hidden;
    }

.e-schedule .schedule-item-template-wrap .schedule-item-header-title {
    font-weight: bold;
}

.e-schedule .schedule-item-template-wrap .schedule-item-time,
.e-schedule .schedule-item-template-wrap .schedule-item-description {
    padding-left: 4px;
    padding-right: 4px;
    text-overflow: ellipsis;
    white-space: nowrap;
    overflow: hidden;
}

/*    .e-schedule .schedule-item-template-wrap .schedule-item-description .schedule-item-description-total {
        min-width: 2.25rem;
    }*/

/****************************************/
/*  Syncfusion card styles */
/* The following e-card styles override the theme hover, focus, and active styles since they incorrectly use 'background-color' instead of 'background'. */
.e-card:hover {
    background: linear-gradient(0deg, rgba(var(--color-sf-primary), 0.05), rgba(var(--color-sf-primary), 0.05)), rgba(var(--color-sf-surface));
}

.e-card:focus {
    background: linear-gradient(0deg, rgba(var(--color-sf-primary), 0.05), rgba(var(--color-sf-primary), 0.05)), rgba(var(--color-sf-surface));
}

.e-card:active {
    background: linear-gradient(0deg, rgba(var(--color-sf-primary), 0.05), rgba(var(--color-sf-primary), 0.05)), rgba(var(--color-sf-surface));
}

/*.flip-card-back .e-card {
    background: linear-gradient(0deg, rgba(var(--color-sf-primary), 0), rgba(var(--color-sf-primary), 0)), rgba(var(--color-sf-surface));
}*/

.e-card .e-card-header {
    justify-content: left;
    min-height: fit-content !important;
    /*    background-color: rgba(var(--color-sf-primary));*/
    background: linear-gradient(0deg, rgba(var(--color-sf-primary), 0.95), rgba(var(--color-sf-primary), 0.75)), rgba(var(--color-sf-surface));
    color: rgba(var(--color-sf-on-primary));
}

/*.flipped .e-card .e-card-header {
    background: linear-gradient(0deg, rgba(var(--color-sf-primary), 0.75), rgba(var(--color-sf-primary), 0.75)), rgba(var(--color-sf-surface));
    color: rgba(var(--color-sf-on-primary));
}*/

.e-card .e-card-header .e-card-header-caption .e-card-header-title {
    color: rgba(var(--color-sf-on-primary));
    font-weight: bold !important;
}

.e-card .e-card-header .e-card-header-caption .e-card-sub-title {
    color: rgba(var(--color-sf-on-primary));
}

.e-card .e-card-header .e-card-header-caption .e-card-status-chips .e-chip-list {
    padding-top: .5rem;
    margin-left: -4px; /* Absorb left margin for first chip */
}

/****************************************/
/*  Material 3 Exum colors */

/*.light {*/

:root {
    --md-sys-color-primary: 26,101,133;
    --md-sys-color-surface-tint: 26,101,133;
    --md-sys-color-on-primary: 255,255,255;
    --md-sys-color-primary-container: 194,232,255;
    --md-sys-color-on-primary-container: 0,77,104;
    --md-sys-color-secondary: 70,93,145;
    --md-sys-color-on-secondary: 255,255,255;
    --md-sys-color-secondary-container: 217,226,255;
    --md-sys-color-on-secondary-container: 45,69,120;
    --md-sys-color-tertiary: 94,98,27;
    --md-sys-color-on-tertiary: 255,255,255;
    --md-sys-color-tertiary-container: 228,232,146;
    --md-sys-color-on-tertiary-container: 70,74,2;
    --md-sys-color-error: 186,26,26;
    --md-sys-color-on-error: 255,255,255;
    --md-sys-color-error-container: 255,218,214;
    --md-sys-color-on-error-container: 147,0,10;
    --md-sys-color-background: 246,250,254;
    --md-sys-color-on-background: 23,28,31;
    --md-sys-color-surface: 246,250,254;
    --md-sys-color-on-surface: 23,28,31;
    --md-sys-color-surface-variant: 220,227,233;
    --md-sys-color-on-surface-variant: 65,72,77;
    --md-sys-color-outline: 113,120,125;
    --md-sys-color-outline-variant: 192,199,205;
    --md-sys-color-shadow: 0,0,0;
    --md-sys-color-scrim: 0,0,0;
    --md-sys-color-inverse-surface: 44,49,52;
    --md-sys-color-inverse-on-surface: 237,241,245;
    --md-sys-color-inverse-primary: 142,207,243;
    --md-sys-color-primary-fixed: 194,232,255;
    --md-sys-color-on-primary-fixed: 0,30,44;
    --md-sys-color-primary-fixed-dim: 142,207,243;
    --md-sys-color-on-primary-fixed-variant: 0,77,104;
    --md-sys-color-secondary-fixed: 217,226,255;
    --md-sys-color-on-secondary-fixed: 0,25,68;
    --md-sys-color-secondary-fixed-dim: 175,198,255;
    --md-sys-color-on-secondary-fixed-variant: 45,69,120;
    --md-sys-color-tertiary-fixed: 228,232,146;
    --md-sys-color-on-tertiary-fixed: 27,29,0;
    --md-sys-color-tertiary-fixed-dim: 199,204,121;
    --md-sys-color-on-tertiary-fixed-variant: 70,74,2;
    --md-sys-color-surface-dim: 214,218,223;
    --md-sys-color-surface-bright: 246,250,254;
    --md-sys-color-surface-container-lowest: 255,255,255;
    --md-sys-color-surface-container-low: 240,244,248;
    --md-sys-color-surface-container: 234,238,242;
    --md-sys-color-surface-container-high: 229,233,237;
    --md-sys-color-surface-container-highest: 223,227,231;
    --md-extended-color-green-color: 58,105,58;
    --md-extended-color-green-on-color: 255,255,255;
    --md-extended-color-green-color-container: 187,240,181;
    --md-extended-color-green-on-color-container: 34,80,37;
    --md-extended-color-red-color: 143,74,77;
    --md-extended-color-red-on-color: 255,255,255;
    --md-extended-color-red-color-container: 255,218,218;
    --md-extended-color-red-on-color-container: 115,51,55;
    --md-extended-color-yellow-color: 111,93,14;
    --md-extended-color-yellow-on-color: 255,255,255;
    --md-extended-color-yellow-color-container: 250,226,135;
    --md-extended-color-yellow-on-color-container: 84,70,0;
    --md-extended-color-orange-color: 129,85,18;
    --md-extended-color-orange-on-color: 255,255,255;
    --md-extended-color-orange-color-container: 255,221,182;
    --md-extended-color-orange-on-color-container: 100,63,0;
    --md-extended-color-purple-color: 97,86,144;
    --md-extended-color-purple-on-color: 255,255,255;
    --md-extended-color-purple-color-container: 231,222,255;
    --md-extended-color-purple-on-color-container: 73,62,118;
    --md-extended-color-blue-color: 37,100,137;
    --md-extended-color-blue-on-color: 255,255,255;
    --md-extended-color-blue-color-container: 201,230,255;
    --md-extended-color-blue-on-color-container: 0,76,110;
    --md-extended-color-cyan-color: 0,104,116;
    --md-extended-color-cyan-on-color: 255,255,255;
    --md-extended-color-cyan-color-container: 158,239,253;
    --md-extended-color-cyan-on-color-container: 0,79,88;
    --md-extended-color-magenta-color: 134,75,111;
    --md-extended-color-magenta-on-color: 255,255,255;
    --md-extended-color-magenta-color-container: 255,216,235;
    --md-extended-color-magenta-on-color-container: 107,52,86;
}

/*.dark {
  --md-sys-color-primary: 142,207,243;
  --md-sys-color-surface-tint: 142,207,243;
  --md-sys-color-on-primary: 0,53,73;
  --md-sys-color-primary-container: 0,77,104;
  --md-sys-color-on-primary-container: 194,232,255;
  --md-sys-color-secondary: 175,198,255;
  --md-sys-color-on-secondary: 20,47,96;
  --md-sys-color-secondary-container: 45,69,120;
  --md-sys-color-on-secondary-container: 217,226,255;
  --md-sys-color-tertiary: 199,204,121;
  --md-sys-color-on-tertiary: 48,51,0;
  --md-sys-color-tertiary-container: 70,74,2;
  --md-sys-color-on-tertiary-container: 228,232,146;
  --md-sys-color-error: 255,180,171;
  --md-sys-color-on-error: 105,0,5;
  --md-sys-color-error-container: 147,0,10;
  --md-sys-color-on-error-container: 255,218,214;
  --md-sys-color-background: 15,20,23;
  --md-sys-color-on-background: 223,227,231;
  --md-sys-color-surface: 15,20,23;
  --md-sys-color-on-surface: 223,227,231;
  --md-sys-color-surface-variant: 65,72,77;
  --md-sys-color-on-surface-variant: 192,199,205;
  --md-sys-color-outline: 138,146,151;
  --md-sys-color-outline-variant: 65,72,77;
  --md-sys-color-shadow: 0,0,0;
  --md-sys-color-scrim: 0,0,0;
  --md-sys-color-inverse-surface: 223,227,231;
  --md-sys-color-inverse-on-surface: 44,49,52;
  --md-sys-color-inverse-primary: 26,101,133;
  --md-sys-color-primary-fixed: 194,232,255;
  --md-sys-color-on-primary-fixed: 0,30,44;
  --md-sys-color-primary-fixed-dim: 142,207,243;
  --md-sys-color-on-primary-fixed-variant: 0,77,104;
  --md-sys-color-secondary-fixed: 217,226,255;
  --md-sys-color-on-secondary-fixed: 0,25,68;
  --md-sys-color-secondary-fixed-dim: 175,198,255;
  --md-sys-color-on-secondary-fixed-variant: 45,69,120;
  --md-sys-color-tertiary-fixed: 228,232,146;
  --md-sys-color-on-tertiary-fixed: 27,29,0;
  --md-sys-color-tertiary-fixed-dim: 199,204,121;
  --md-sys-color-on-tertiary-fixed-variant: 70,74,2;
  --md-sys-color-surface-dim: 15,20,23;
  --md-sys-color-surface-bright: 53,58,61;
  --md-sys-color-surface-container-lowest: 10,15,18;
  --md-sys-color-surface-container-low: 23,28,31;
  --md-sys-color-surface-container: 27,32,35;
  --md-sys-color-surface-container-high: 38,43,46;
  --md-sys-color-surface-container-highest: 49,53,57;
  --md-extended-color-green-color: 160,212,155;
  --md-extended-color-green-on-color: 7,57,16;
  --md-extended-color-green-color-container: 34,80,37;
  --md-extended-color-green-on-color-container: 187,240,181;
  --md-extended-color-red-color: 255,179,180;
  --md-extended-color-red-on-color: 86,29,34;
  --md-extended-color-red-color-container: 115,51,55;
  --md-extended-color-red-on-color-container: 255,218,218;
  --md-extended-color-yellow-color: 221,198,110;
  --md-extended-color-yellow-on-color: 58,48,0;
  --md-extended-color-yellow-color-container: 84,70,0;
  --md-extended-color-yellow-on-color-container: 250,226,135;
  --md-extended-color-orange-color: 247,188,112;
  --md-extended-color-orange-on-color: 70,42,0;
  --md-extended-color-orange-color-container: 100,63,0;
  --md-extended-color-orange-on-color-container: 255,221,182;
  --md-extended-color-purple-color: 203,190,255;
  --md-extended-color-purple-on-color: 51,40,94;
  --md-extended-color-purple-color-container: 73,62,118;
  --md-extended-color-purple-on-color-container: 231,222,255;
  --md-extended-color-blue-color: 148,205,247;
  --md-extended-color-blue-on-color: 0,52,77;
  --md-extended-color-blue-color-container: 0,76,110;
  --md-extended-color-blue-on-color-container: 201,230,255;
  --md-extended-color-cyan-color: 130,211,224;
  --md-extended-color-cyan-on-color: 0,54,61;
  --md-extended-color-cyan-color-container: 0,79,88;
  --md-extended-color-cyan-on-color-container: 158,239,253;
  --md-extended-color-magenta-color: 250,177,218;
  --md-extended-color-magenta-on-color: 81,30,63;
  --md-extended-color-magenta-color-container: 107,52,86;
  --md-extended-color-magenta-on-color-container: 255,216,235
}*/